Home
Home
  1. Payroll Provider API Prototypes
  • Salary Deduction
    • Welcome
    • Getting started
      • Availability and Onboarding
        • Light Availability Check
        • Full Availability Check
        • Onboarding
      • Salary Deduction
        • Deduction Instruction
        • Re-running Payroll
        • Deduction Payments and Reconciliation
        • Changes to Employee Status
    • API Reference
      • Authentication
      • Idempotency
      • Webhooks
        • Webhooks
      • Salary Deduction
        • Salary Deduction Data Request
        • Salary Deduction Confirmation Submission
    • Schemas
      • Availability Check
        • Light Availability Check Response
        • Light Availability Check Request
        • Full Availability Check Response
        • Full Availability Check Request
      • Core
        • ProblemDetails
      • Deduction Instructions
        • Salary Deduction
        • Confirmation Deduction Response
        • Salary Deduction Enablement Response
        • Employee Deduction Push Response
        • Employee Deduction Push Request
        • Latest Employee Deduction Push Response
      • Payment Account
        • Payment Account
        • Payment Information
      • Payroll
        • Salary Deduction Confirmation Data Submission
        • Salary Deduction Data Response
        • Payroll
        • Employee Payroll
        • Employment
        • Pay Date
        • Salary Deduction Enablement Request
      • Webhooks
        • Employee Update Payload
        • WebHook
  • Payroll Provider API Prototypes
    • Light Availability Check
      POST
    • Full Availability Check
      POST
    • Salary Deduction Enablement
      POST
    • Payroll Information
      GET
    • Salary Deduction Employee Data Push
      POST
    • Latest Salary Deduction Employee Data Push
      GET
  1. Payroll Provider API Prototypes

Light Availability Check

POST
/deductions/availability/light
OperationId:post_light_availability_check
Ontime will call this endpoint to find out how likely it is that a consumer is on a payroll you manage, without needing their national registration number. Ontime does not call it yet, but payroll providers must host it, as it will be required for a future integration.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Example
{
    "availability_check": {
        "national_registration_number": null,
        "date_of_birth": "1969-05-19",
        "given_name": "Alice",
        "family_name": "Smith",
        "email_address": "alice.smith@example.org",
        "phone_number": "+44 7700 900123",
        "postal_code": "GU1 2AA",
        "currency": "GBP",
        "employer_name": "Emp Co Limited"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/deductions/availability/light' \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "availability_check": {
        "national_registration_number": null,
        "date_of_birth": "1969-05-19",
        "given_name": "Alice",
        "family_name": "Smith",
        "email_address": "alice.smith@example.org",
        "phone_number": "+44 7700 900123",
        "postal_code": "GU1 2AA",
        "currency": "GBP",
        "employer_name": "Emp Co Limited"
    }
}'

Responses

🟢200Success
application/json
Indicates the request was successfully processed by the server and a valid response is included in the body.
Bodyapplication/json

Example
{
    "availability_check": {
        "availability_status": "high_probability",
        "likelihood": 90
    }
}
🟠404Record Not Found
🟠400Bad Request
🟠401Unauthorised
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
Previous
WebHook
Next
Full Availability Check